### Method

# Gtk EntryBufferset_text

#### Declaration [src]

    void
    gtk_entry_buffer_set_text (
      GtkEntryBuffer* buffer,
      const char* chars,
      int n_chars
    )

#### Description [src]

Sets the text in the buffer.

This is roughly equivalent to calling `gtk_entry_buffer_delete_text()` and `gtk_entry_buffer_insert_text()`.

Note that `n_chars` is in characters, not in bytes.

Sets property | `Gtk.EntryBuffer:text`

#### Parameters

`chars`

  Type: `const char*`

  The new text.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`n_chars`

  Type: `int`

  The number of characters in `text`, or -1